KTextEditor::SelectionInterfaceExt Class Referenceabstract

`#include <selectioninterfaceext.h>`

## Public Member Functions

unsigned int | selectionInterfaceExtNumber () const
virtual int | selStartLine ()=0
virtual int | selStartCol ()=0
virtual int | selEndLine ()=0
virtual int | selEndCol ()=0

## Protected Member Functions

void | setSelectionInterfaceExtDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateSelectionInterfaceExt

## Detailed Description

Provide access to seleciton positions.

This is an interface for the Document class. Mainly here for dcop and the sake of scripting.

Author
  Anders Lund ander.nosp@m.s@al.nosp@m.web.d.nosp@m.k

Definition at line 38 of file selectioninterfaceext.h.

## Member Function Documentation

virtual int KTextEditor::SelectionInterfaceExt::selEndCol | ( |  | ) |

pure virtual

The selection end col.

virtual int KTextEditor::SelectionInterfaceExt::selEndLine | ( |  | ) |

pure virtual

The selection end line.

virtual int KTextEditor::SelectionInterfaceExt::selStartCol | ( |  | ) |

pure virtual

The selection start col.

virtual int KTextEditor::SelectionInterfaceExt::selStartLine | ( |  | ) |

pure virtual

The selection start line number.

The documentation for this class was generated from the following files:

- selectioninterfaceext.h
- selectioninterfaceext.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys